#!/bin/sh
# Restructure the sources to standard Unix format

for i in `find . \( -name c -o -name cc -o -name h -o -name s \) -print`; do
  basedir="${i%/*}"
  extension="${i##*/}"
  for j in `ls "$i"`; do
    mv "${basedir}/${extension}/${j}" "${basedir}/${j}.${extension}"
  done
  rmdir "$i"
done

for i in `find . -name Makefile.gccsdk`; do
  makebase="${i%.gccsdk}"
  if [ -f "${makebase}" ]; then
    mv "${makebase}" "${makebase}.acorn"
  fi
  mv "${i}" "${makebase}"
done
